Upstream information

CVE-2017-10784 at MITRE

Description

The Basic authentication code in WEBrick library in Ruby before 2.2.8, 2.3.x before 2.3.5, and 2.4.x through 2.4.1 allows remote attackers to inject terminal emulator escape sequences into its log and possibly execute arbitrary commands via a crafted user name.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 9.3 6.4
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C AV:N/AC:L/Au:N/C:N/I:P/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Complete None
Integrity Impact Complete Partial
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 5.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1058754 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
HPE-Helion-OpenStack-8-2020-1570
SUSE Enterprise Storage 5
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-Storage-5-2020-1570
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1570
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1570
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1570
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1570
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1570
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1570
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1570
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1570
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1570
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1570
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1570
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-devel >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1570
SUSE Linux Enterprise Software Development Kit 12 SP5
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-devel >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1570
SUSE OpenStack Cloud 7
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1570
SUSE OpenStack Cloud 8
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1570
SUSE OpenStack Cloud Crowbar 8
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1570


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
ruby Unsupported
Magnum Orchestration ruby2.1 Affected
SLED-10-SP3 ruby Unsupported
SLED-10-SP4 ruby Unsupported
SLES for SAP Applications ruby Unsupported
SUSE CaaS Platform 3.0 ruby2.1 Analysis
SUSE Cloud 5 ruby2.1 Unsupported
SUSE Container as a Service Platform 1.0 ruby2.1 Affected
SUSE Container as a Service Platform 2.0 ruby2.1 Analysis
SUSE Lifecycle Management Server 1.3 ruby Unsupported
SUSE Linux Enterprise 15 Module for Basesystem ruby Not affected
SUSE Linux Enterprise 15 Module for Basesystem ruby2.5 Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem ruby Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem ruby2.5 Not affected
SUSE Linux Enterprise 15-SP2 Module for Basesystem ruby Not affected
SUSE Linux Enterprise 15-SP2 Module for Basesystem ruby2.5 Not affected
SUSE Linux Enterprise Desktop 11 ruby Unsupported
SUSE Linux Enterprise Desktop 11 SP1 ruby Unsupported
SUSE Linux Enterprise Desktop 11 SP2 ruby Unsupported
SUSE Linux Enterprise Desktop 11 SP3 ruby Unsupported
SUSE Linux Enterprise Desktop 11 SP4 ruby Unsupported
SUSE Linux Enterprise Desktop 12 ruby Already fixed
SUSE Linux Enterprise Desktop 12 ruby2.1 Analysis
SUSE Linux Enterprise Desktop 12 SP1 ruby Already fixed
SUSE Linux Enterprise Desktop 12 SP1 ruby2.1 Analysis
SUSE Linux Enterprise Desktop 12 SP2 ruby Already fixed
SUSE Linux Enterprise Desktop 12 SP2 ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP3 ruby Already fixed
SUSE Linux Enterprise Desktop 12 SP3 ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP4 ruby Already fixed
SUSE Linux Enterprise Desktop 12 SP4 ruby2.1 Analysis
SUSE Linux Enterprise Desktop 12 SP5 ruby Already fixed
SUSE Linux Enterprise Desktop 12 SP5 ruby2.1 Analysis
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search ruby Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP2 ruby Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP2 ruby2.1 Analysis
SUSE Linux Enterprise High Performance Computing 12 SP3 ruby Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP3 ruby2.1 Analysis
SUSE Linux Enterprise High Performance Computing 12 SP4 ruby Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP4 ruby2.1 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 ruby Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 ruby2.1 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS ruby Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS ruby2.5 Not affected
SUSE Linux Enterprise Server 11 ruby Unsupported
SUSE Linux Enterprise Server 11 SP1 ruby Unsupported
SUSE Linux Enterprise Server 11 SP1 LTSS ruby Unsupported
SUSE Linux Enterprise Server 11 SP2 ruby Unsupported
SUSE Linux Enterprise Server 11 SP2 LTSS ruby Unsupported
SUSE Linux Enterprise Server 11 SP2 for VMware ruby Unsupported
SUSE Linux Enterprise Server 11 SP3 ruby Unsupported
SUSE Linux Enterprise Server 11 SP3 LTSS ruby Unsupported
SUSE Linux Enterprise Server 11 SP3 for VMware ruby Unsupported
SUSE Linux Enterprise Server 11 SP4 ruby Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS ruby Affected
SUSE Linux Enterprise Server 12 ruby Already fixed
SUSE Linux Enterprise Server 12 ruby2.1 Analysis
SUSE Linux Enterprise Server 12 LTSS ruby Already fixed
SUSE Linux Enterprise Server 12 LTSS ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP1 ruby Already fixed
SUSE Linux Enterprise Server 12 SP1 ruby2.1 Analysis
SUSE Linux Enterprise Server 12 SP1 LTSS ruby Already fixed
SUSE Linux Enterprise Server 12 SP1 LTSS ruby2.1 In progress
SUSE Linux Enterprise Server 12 SP2 ruby Already fixed
SUSE Linux Enterprise Server 12 SP2 ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP2 BCL ruby Already fixed
SUSE Linux Enterprise Server 12 SP2 BCL ruby2.1 Released
SUSE Linux Enterprise Server 12 SP2 LTSS ruby Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS ruby2.1 Released
SUSE Linux Enterprise Server 12 SP3 ruby Already fixed
SUSE Linux Enterprise Server 12 SP3 ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP3 BCL ruby Already fixed
SUSE Linux Enterprise Server 12 SP3 BCL ruby2.1 Released
SUSE Linux Enterprise Server 12 SP3 LTSS ruby Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS ruby2.1 Released
SUSE Linux Enterprise Server 12 SP4 ruby Already fixed
SUSE Linux Enterprise Server 12 SP4 ruby2.1 Released
SUSE Linux Enterprise Server 12 SP4 LTSS ruby Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS ruby2.1 Analysis
SUSE Linux Enterprise Server 12 SP5 ruby Already fixed
SUSE Linux Enterprise Server 12 SP5 ruby2.1 Released
SUSE Linux Enterprise Server 15 LTSS ruby Analysis
SUSE Linux Enterprise Server 15 LTSS ruby2.5 Not affected
SUSE Linux Enterprise Server ESPOS 15 ruby Not affected
SUSE Linux Enterprise Server ESPOS 15 ruby2.5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 ruby Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 ruby2.1 Analysis
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ruby Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ruby Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ruby Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ruby Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Business All-in-One ruby Unsupported
SUSE Linux Enterprise Server for the Raspberry Pi ruby Already fixed
SUSE Linux Enterprise Server for the Raspberry Pi ruby2.1 Analysis
SUSE Linux Enterprise Software Development Kit 11 ruby Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP1 ruby Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP2 ruby Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP3 ruby Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP4 ruby Unsupported
SUSE Linux Enterprise Software Development Kit 12 ruby Already fixed
SUSE Linux Enterprise Software Development Kit 12 ruby2.1 Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 ruby Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP1 ruby2.1 Analysis
SUSE Linux Enterprise Software Development Kit 12 SP3 ruby Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP3 ruby2.1 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 ruby Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 ruby2.1 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 ruby Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 ruby2.1 Released
SUSE Studio Extension for System z 1.2 ruby Unsupported
SUSE Studio Onsite ruby Unsupported
SUSE Studio Onsite ruby19 Unsupported
WebYaST for SLE-11 ruby Affected